/*
 *servlet to db communication by using approach1 */

package Pool;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;
import java.sql.SQLException;
import java.sql.ResultSetMetaData;
import javax.sql.DataSource;
import javax.naming.InitialContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.ServletConfig;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
/**
 *
 * @author amit
 */
public class PoolSrv extends HttpServlet 
	{
		public void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
		{
			// general settings
			res.setContentType("text/html");
			PrintWriter pw=res.getWriter();
			String tbl=req.getParameter("table");
			RequestDispatcher rd=null;
			ServletContext sc=null;

			try
			{
											sc=getServletContext();
				rd=sc.getRequestDispatcher("/eurl");	//request dispatcher object pointing to errsrv

				// create connection object by using pooled connection obj
				Connection con=makeConnection();	//user define method
				Statement st=con.createStatement();
				ResultSet rs=st.executeQuery("select * from "+tbl);
				ResultSetMetaData rsmd=rs.getMetaData();
				int columnCount=rsmd.getColumnCount();

				pw.print("<html><body bgcolor=green>");
				pw.print("<center><h3> The Details of Table "+tbl);
				pw.print("<br><br><table cellspacing=1 bgcolor=green>");
				pw.print("<tr bgcolor=yellow>");

				//logic to display heading row of table with column name

				for(int i=1;i<=columnCount;i++)
				{
					pw.print("<th> "+rsmd.getColumnLabel(i)+" &nbsp;&nbsp;</th>");
				}
				pw.print("</tr>");

				//logic to display other rows in html table

				while(rs.next())
				{
					pw.print("<tr bgcolor=yellow>");

					for(int i=1;i<=columnCount;i++)
					{
						pw.print("<td> "+rs.getString(i)+" &nbsp;&nbsp;</td>");
					}
					pw.print("</tr>");
				}//while
				pw.print("</table><br>");
				pw.print("To view another table <b> <a href='index.htm'>Click Here</a></b>");
				pw.print("</body></html>");
			}//try
			catch (Exception e)
			{
				rd.forward(req,res);
				/*pw.print("<html><body> <center><br><br>");
				pw.print("<h3 bgcolor=red>Table Dosen' exist in Database</h3>");
				pw.print("To view another table <b> <a href='index.htm'>Click Here</a></b>");
				pw.print("</body></html>");*/

			}//catch
		}//doPost(-,-);
		public void doGet(HttpServletRequest req, HttpServletResponse res)throws ServletException, IOException
		{
			doPost(req,res);
		}
		public Connection makeConnection()
		{
			Connection con=null;
			try
			{
				InitialContext ic=new InitialContext();
				DataSource ds=(DataSource) ic.lookup("mypool");
				con=ds.getConnection();
			}
			catch (Exception e)
			{
				System.out.println(e);
			}
			return con;
		}//makeConnection
	}
